/*
 * tkgeomap.h --
 *
 *	This header file describes the externally visible facilities of
 *	the tkgeomap extension to Tcl.  See the tkgeomap (n) man page for
 *	information on the commands this package adds to Tcl.
 * 
 * Copyright (c) 2004 Gordon D. Carrie. All rights reserved.
 * 
 * Licensed under the Open Software License version 2.1
 * 
 * Please address questions and feedback to user0@tkgeomap.org
 *
 * @(#) $Id: tkgeomap.h,v 1.20 2005/11/30 18:55:01 tkgeomap Exp $
 *
 ********************************************
 *
 */

#ifndef _TKGEOMAP
#define _TKGEOMAP

#include <ctype.h>
#include <limits.h>
#include <tk.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <tk.h>

#include "mapLines.h"
#include "geoLnArrToMap.h"

#include "tclgeomap.h"

#define TKGEOMAP_MAJOR_VERSION 2
#define TKGEOMAP_MINOR_VERSION 9
#define TKGEOMAP_PATCH_LEVEL
#define TKGEOMAP_VERSION "2.9"

EXTERN int	TkgeomapLnArrInit _ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int	TkgeomapPlaceInit _ANSI_ARGS_((Tcl_Interp *interp));
EXTERN int	Tkgeomap_Init _ANSI_ARGS_((Tcl_Interp *));

#endif
